GuideLab API

Update a treatment phase

Update an existing treatment phase. If `tasks` is provided, the template task list is replaced; existing orders retain their immutable task snapshots.

PUT
/treatment-phases/{id}

Update an existing treatment phase. If tasks is provided, the template task list is replaced; existing orders retain their immutable task snapshots.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Treatment phase ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/treatment-phases/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "phase": {    "id": "string",    "labId": "string",    "name": "string",    "description": "string",    "sortOrder": 0,    "defaultOffsetDays": 0,    "isActive": true,    "color": "string",    "startPolicy": "string",    "leadTimeDays": 0,    "createdAt": "string",    "updatedAt": "string",    "taskCount": 0,    "tasks": [      {        "id": "string",        "taskId": "string",        "sortOrder": 0,        "isActive": true,        "clinicVisible": true,        "clinicTitle": "string",        "task": {          "id": "string",          "name": "string",          "description": "string",          "color": "string",          "icon": "string",          "completionTrigger": "string"        }      }    ]  }}
Empty
Empty
Empty
Empty
Empty